Aug 1st, 2016

This is a patch release, so there shouldn’t be any breaking changes. The release notes are included below for reference, and to point out what’s changed and what’s new. Big thanks to all of the folks who helped with this release, especially those of you who contributed to testing and documentation!

-Mike

P.S. If you’re curious what’s next, I posted a first look at the Sails v1.0 roadmap here.

v0.12.4 Release Notes

Originally posted on GitHub

A new patch release with bug fixes, enhancements, and upgrades to Sails’ dependencies.

See also the recently-published improvements to the Sails documentation.

Changelog

From https://github.com/balderdashy/sails/blob/master/CHANGELOG.md#0124:

  • [INTERNAL] Upgrade Mocha to 3.0.0 to remove more of the deprecation notices when installing dependencies (see mocha:#2200)
  • [INTERNAL] Simplify config-merging code in captains-log. This also gets rid of more deprecation notices during install (see captains-log:49f433eff348c05115a2caf292b4da0db9499887)
  • [BUGFIX] Fix long-standing, low-priority (but super annoying) issue with logged dictionaries/arrays getting extra quote marks (due to a pecularity in the usage of util.format()) d67e9c8e6775
  • [ENHANCEMENT] Add sails.config.session.routesDisabled config option to specify routes that should not use session middleware c712acf
  • [ENHANCEMENT] Use res.forbidden() when denying access to a route via a policy. Thanks @wulfsolter! 3764
  • [ENHANCEMENT] Allow use of Express style path and RegExp in sails.config.csrf.routesDisabled. Thanks @bolasblack!
  • [BUGFIX] Fix for query / body params called length 3738
  • [BUGFIX] Fix view rendering when i18n hook is disabled. Thanks @mordred! 3741
  • [BUGFIX] Allow sails.renderView to work with globals turned off 3753d3f634c
  • [BUGFIX] Fix typo which could cause crashing when attempting to serialize non-json-compatible output in the response to a socket request.
  • [UPGRADE] Update all Grunt dependencies 5f6be05
  • [UPGRADE] Update “connect” dependency to 3.4.1 1d3c9e6
  • [UPGRADE] Update “compression” dependency to version 1.6.2
  • [UPGRADE] Upgraded version of Consolidate to 0.14.1 a70623c
  • [UPGRADE] Upgraded version of grunt-contrib-watch to 1.0.0 3678
  • [INTERNAL] Use standalone CSRF package instead of using the one (formerly) bundled with Connect. Sails should be using all standalone middleware now. 1d3c9e698861ef
  • [INTERNAL] Add some assertions to ensure custom hooks don’t use reserved properties 2e76dac
  • [INTERNAL] Update code that virtual response uses to read buffer to work with all Node versions a5ab134
  • [INTERNAL] Remove un-maintained “wrench” module from tests; use “fs-extra” instead. Thanks @Ignigena! 4f90f78

Written by

We make Sails work and things work with Sails.

Get the Medium app

A button that says 'Download on the App Store', and if clicked it will lead you to the iOS App store
A button that says 'Get it on, Google Play', and if clicked it will lead you to the Google Play store